## cutter

cutter — Audio Cutter to split audio into non-silent bits

## Properties

gboolean | leaky | Read / Write
guint64 | pre-length | Read / Write
guint64 | run-length | Read / Write
gdouble | threshold | Read / Write
gdouble | threshold-dB | Read / Write

## Types and Values

struct | GstCutter

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstCutter

## Description

Analyses the audio signal for periods of silence. The start and end of silence is signalled by bus messages named

`"cutter"`.

The message's structure contains two fields:

- GstClockTime `"timestamp"`: the timestamp of the buffer that triggered the message.

- gboolean `"above"`: `TRUE` for begin of silence and `FALSE` for end of silence.

### Example launch line

    1

    gst-launch-1.0 -m filesrc location=foo.ogg ! decodebin ! audioconvert ! cutter ! autoaudiosink

Show cut messages.

## Synopsis

### Element Information

plugin | cutter
author | Thomas Vander Stichele <thomas at apestaart dot org>
class | Filter/Editor/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ S8, S16LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string)interleaved

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S8, S16LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string)interleaved

## Functions

## Types and Values

### struct GstCutter

    struct GstCutter;

## Property Details

### The `“leaky”` property

      “leaky”                    gboolean

do we leak buffers when below threshold ?.

Flags: Read / Write

Default value: FALSE

### The `“pre-length”` property

      “pre-length”               guint64

Length of pre-recording buffer (in nanoseconds).

Flags: Read / Write

Default value: 0

### The `“run-length”` property

      “run-length”               guint64

Length of drop below threshold before cut_stop (in nanoseconds).

Flags: Read / Write

Default value: 0

### The `“threshold”` property

      “threshold”                gdouble

Volume threshold before trigger.

Flags: Read / Write

Default value: 0

### The `“threshold-dB”` property

      “threshold-dB”             gdouble

Volume threshold before trigger (in dB).

Flags: Read / Write

Default value: 0